import { AfterViewChecked, ChangeDetectorRef, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorTooltip } from '../../models/qms-ckeditor-tooltip.model';
import { QMSCKEditorCommonService } from '../../services/qms-ckeditor-common.services';
import * as i0 from "@angular/core";
interface ITooltip {
    text: string;
    content: string;
}
export declare class QMSCKEditorTooltipComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewChecked {
    private cdr;
    private translate;
    dialogRef: MatDialogRef<QMSCKEditorTooltipComponent>;
    private commonService;
    data: QMSCKEditorTooltip;
    ckEditor: any;
    LANG: any;
    tooltipFormGroup: UntypedFormGroup;
    tooltip: ITooltip;
    editor: any;
    editorConfig: any;
    language: string;
    constructor(cdr: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<QMSCKEditorTooltipComponent>, commonService: QMSCKEditorCommonService, data: QMSCKEditorTooltip);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCloseDialog(): void;
    getOutputContent(content: string): void;
    onChanged({ editor }: {
        editor: any;
    }): void;
    onBlur({ editor }: {
        editor: any;
    }): void;
    onReady(editor: any): void;
    saveTooltip(): void;
    cancelTooltip(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSCKEditorTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QMSCKEditorTooltipComponent, "app-qmsck-tooltip", never, { "ckEditor": { "alias": "ckEditor"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
